#!/usr/bin/env perl

use 5.014;
use warnings;
use DDP;
use PDK::Device::Cisco;
use PDK::Device::H3c;
use PDK::Device::Huawei;
use PDK::Device::Juniper;
use PDK::Device::Radware;
use PDK::Device::Hillstone;
use PDK::Device::Paloalto;

my $cisco     = PDK::Device::Cisco->ssh(host => '192.168.8.201');
my $h3c       = PDK::Device::H3c->ssh(host => '192.168.8.201');
my $huawei    = PDK::Device::Huawei->ssh(host => '192.168.8.201');
my $juniper   = PDK::Device::Juniper->ssh(host => '192.168.8.201');
my $radware   = PDK::Device::Radware->ssh(host => '192.168.8.201');
my $hillstone = PDK::Device::Hillstone->ssh(host => '192.168.8.201');
my $paloalto  = PDK::Device::Paloalto->ssh(host => '192.168.8.201');

p $cisco->getConfig();
p $h3c->getConfig();
p $huawei->getConfig();
p $juniper->getConfig();
p $radware->getConfig();
p $hillstone->getConfig();
p $paloalto->getConfig();
